Get Operator
curl --request GET \
--url https://api.rated.network/v0/eth/operators/{operator_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v0/eth/operators/{operator_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v0/eth/operators/{operator_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"displayName": "Stakefish",
"id": "Stakefish",
"idType": "nodeOperator",
"nodeOperatorCount": 2,
"operatorTags": [
{
"name": "operator"
}
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Operators
Operator metadata
GET
/
v0
/
eth
/
operators
/
{operator_id}
Get Operator
his endpoint returns profile information on specific operators. It’s still relatively nascent, but expect this to be enriched with all kinds of useful information in the coming quarters.
Here’s how to interpret the inputs required to operate it 👇
| Parameter | Context |
|---|---|
operatorId | The name of the entity in question. This could be deposit address, a withdrawal address, a node operator, or a pool. Please see our docs to get a better understanding of how we aggregate validators. |
idType | The type of entity class you would like returned. You might ask for pool, poolShare, nodeOperator, depositAddress, or withdrawalAddress. Note: it is optional and can be inferred automatically for pools, pool shares and node operators. It defaults to depositAddress if it is missing and an address is provided. |
The
pool and node operator inputs are case sensitive. For example:❌ coinbase✅ CoinbaseAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Query Parameters
Available options:
depositAddress, withdrawalAddress, nodeOperator, pool, poolShare, subNodeOperator, entity, validator, privateSet Response
Successful Response
Available options:
depositAddress, withdrawalAddress, nodeOperator, pool, poolShare, subNodeOperator, entity, validator, privateSet Show child attributes
Show child attributes
Required range:
x >= 0Required range:
x >= 0